export type getUserInfoFunction = () => Promise<Record<string, any>>;

/**
 * 获取用户信息
 */
export default function useGetUserInfo(returnType: "array"): [boolean, getUserInfoFunction];
export default function useGetUserInfo(returnType?: "object"): { loading: boolean; getUserInfo: getUserInfoFunction };
